Get DSS Gateway by ID
GET
Retrieve a DSS gateway by ID. The organization is selected explicitly through the organizationId path parameter.
gatewayId*integerorganizationId*integerOrganization identifier.
Format
int64DSS gateway retrieved successfully.
application/json- response
Detailed DSS IP-to-IP gateway returned by the single-gateway endpoints.
trunkType*stringid*integersbcId*integernome*stringdescription?string|nullipAddress?string|nullport?string|nullmaxChannel*integersecondaryIP?string|nullportSecondary?string|nulltrafficLimit?integer|nulltraffic_consumed*numberFormat
doublepermanentBk*booleanbkNumber?string|nullblocked*booleandualIdentity*booleancheckPrefix*booleanlcrId*integernome_partner?string|nullorganizationId*integerpartnerName?string|nullidCustomer*integercustomerName?string|nullcompanyName?string|nullpresetId?|Format
int64actionObject?|nulladdressLabel?string|nulllockedFields?array<string>terminationUri?|SIP termination endpoint. Currently populated only for Elastic SIP Trunks.
curl -X GET 'https://api.eis.it/v1/voip/dss/gtw/0/0'Example Response
{ "trunkType": "IP_TO_IP", "id": 0, "sbcId": 0, "nome": "string", "description": "string", "ipAddress": "string", "port": "string", "maxChannel": 0, "secondaryIP": "string", "portSecondary": "string", "trafficLimit": 0, "traffic_consumed": 0.1, "permanentBk": true, "bkNumber": "string", "blocked": true, "dualIdentity": true, "checkPrefix": true, "lcrId": 0, "nome_partner": "string", "organizationId": 0, "partnerName": "string", "idCustomer": 0, "customerName": "string", "companyName": "string", "presetId": 0, "actionObject": { "moduleId": 1, "organizationId": 1, "objectType": "string", "objectId": "string", "context": { "property1": "string", "property2": "string" } }, "addressLabel": "string", "lockedFields": [ "string" ], "terminationUri": "string"}